#!/bin/sh
# 
# https://github.com/mxcl/liblastfm/tarball/0.3.3
#
# script by: til <rob D0T til D0T freedman AT googlemail D0T com>
#
REPO=http://zenwalk.pinguix.com/user-accounts/tilderb
set -u -e -x

#liblastfm
version=0.3.3
build=66.1
arch=i486
tune=i686

pkgname=liblastfm-$version
package=$pkgname-$arch-$build

PKG_DEP='cxxlibs,fftw,gcc,gcc-g++,glib2,libsamplerate,qt,zlib'
PKG_SRC="$REPO/extra/l/liblastfm/build-liblastfm.sh
https://github.com/mxcl/liblastfm/tarball/0.3.3"

SRC_PKG=mxcl-liblastfm-0.3.3-0-gf0b3239.tar.gz

CWD=`pwd`
TMP=${TMP:-$CWD/tmp}
PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

### every package should have it
mkdir -p $PKG/{install,usr/{src,doc}/$pkgname}
#
mkdir $SRC
tar xf $CWD/$SRC_PKG --strip-components=1 -C $SRC

cd $SRC
#./configure --help >$CWD/configure-help

ruby ./configure --prefix /usr --release  

make || exit 1
make install DESTDIR=$PKG

# helperline
(cd $PKG;find . -printf "%M %u:%g %p %l\n" >$CWD/make.installed)

cp -a README COPYING $PKG/usr/doc/$pkgname
cd $PKG

# strip symbols
find . | xargs file | grep "executable\|shared object" | grep ELF |\
	cut -f 1 -d : | xargs -r strip --strip-unneeded
#
find . | xargs file | grep "current ar archive" |\
	cut -f 1 -d : | xargs -r strip -g

#        |-----handy-ruler------------------------------------------------------|
cat << EOF > install/slack-desc
liblastfm: liblastfm (Last.fm service integration library)
liblastfm: 
liblastfm: liblastfm is a collection of libraries to help you integrate
liblastfm: Last.fm services into your rich desktop software. 
liblastfm: It is officially supported software developed by Last.fm staff.
liblastfm: 
EOF

cp $CWD/build-liblastfm.sh usr/src/$pkgname
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
md5sum $package.txz >$package.md5
echo $PKG_DEP >$package.dep
echo "$PKG_SRC" >$package.src
